"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
const js_yaml_1 = require("js-yaml");
const fs_1 = require("fs");
const path_1 = require("path");
function load(configFile) {
    const defaultConfig = {
        pattern: '**/*.md',
        ignore: 'node_modules/**/*',
        summary: 'summary.md',
        promote: true,
        template: false,
    };
    let userConfig = (0, js_yaml_1.safeLoad)((0, fs_1.readFileSync)((0, path_1.resolve)(process.cwd(), configFile), 'utf8'));
    const config = Object.assign(Object.assign({}, defaultConfig), userConfig);
    return config;
}
exports.load = load;
